GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::valid::QuadtreeNestedRingTester Class Reference

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a Quadtree index to speed up the comparisons. More...

`#include <QuadtreeNestedRingTester.h>`

## Public Member Functions
| QuadtreeNestedRingTester (geomgraph::GeometryGraph *newGraph)
| Caller retains ownership of GeometryGraph.
geom::Coordinate * | getNestedPoint ()
void | add (const geom::LinearRing *ring)
bool | isNonNested ()

## Detailed Description

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a Quadtree index to speed up the comparisons.

The documentation for this class was generated from the following file:

- QuadtreeNestedRingTester.h